com.foundationdb.sql.jdbc.ds

## Class FDBConnectionPoolDataSource

- java.lang.Object
- - com.foundationdb.sql.jdbc.ds.common.BaseDataSource
  - - com.foundationdb.sql.jdbc.ds.jdbc23.AbstractJdbc23ConnectionPoolDataSource
    - - com.foundationdb.sql.jdbc.ds.jdbc4.AbstractJdbc4ConnectionPoolDataSource
      - - com.foundationdb.sql.jdbc.ds.FDBConnectionPoolDataSource

All Implemented Interfaces:
  java.io.Serializable, javax.naming.Referenceable, javax.sql.CommonDataSource, javax.sql.ConnectionPoolDataSource

    public class FDBConnectionPoolDataSource
    extends com.foundationdb.sql.jdbc.ds.jdbc4.AbstractJdbc4ConnectionPoolDataSource
    implements javax.sql.ConnectionPoolDataSource

PostgreSQL implementation of ConnectionPoolDataSource. The app server or middleware vendor should provide a DataSource implementation that takes advantage of this ConnectionPoolDataSource. If not, you can use the PostgreSQL implementation known as PoolingDataSource, but that should only be used if your server or middleware vendor does not provide their own. Why? The server may want to reuse the same Connection across all EJBs requesting a Connection within the same Transaction, or provide other similar advanced features.

In any case, in order to use this ConnectionPoolDataSource, you must set the property databaseName. The settings for serverName, portNumber, user, and password are optional. Note: these properties are declared in the superclass.

This implementation supports JDK 1.3 and higher.

Author:
  Aaron Mulder (ammulder@chariotsolutions.com)
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FDBConnectionPoolDataSource()`

### Method Summary

### Methods inherited from class com.foundationdb.sql.jdbc.ds.jdbc4.AbstractJdbc4ConnectionPoolDataSource

`getParentLogger`

### Methods inherited from class com.foundationdb.sql.jdbc.ds.jdbc23.AbstractJdbc23ConnectionPoolDataSource

`getDescription, getPooledConnection, getPooledConnection, isDefaultAutoCommit, setDefaultAutoCommit`

### Methods inherited from class com.foundationdb.sql.jdbc.ds.common.BaseDataSource

`createReference, getApplicationName, getBinaryTransfer, getBinaryTransferDisable, getBinaryTransferEnable, getCompatible, getConnection, getConnection, getDatabaseName, getLoginTimeout, getLogLevel, getLogWriter, getPassword, getPortNumber, getPrepareThreshold, getProtocol, getProtocolVersion, getReceiveBufferSize, getReference, getSendBufferSize, getServerName, getSocketTimeout, getSsl, getSslfactory, getStringType, getTcpKeepAlive, getUnknownLength, getUrl, getUser, initializeFrom, readBaseObject, setApplicationName, setBinaryTransfer, setBinaryTransferDisable, setBinaryTransferEnable, setCompatible, setDatabaseName, setLoginTimeout, setLogLevel, setLogWriter, setPassword, setPortNumber, setPrepareThreshold, setProtocol, setProtocolVersion, setReceiveBufferSize, setSendBufferSize, setServerName, setSocketTimeout, setSsl, setSslfactory, setStringType, setTcpKeepAlive, setUnknownLength, setUrl, setUser, writeBaseObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.ConnectionPoolDataSource

`getPooledConnection, getPooledConnection`

### Methods inherited from interface javax.sql.CommonDataSource

`getLoginTimeout, getLogWriter, getParentLogger, setLoginTimeout, setLogWriter`

### Constructor Detail

#### FDBConnectionPoolDataSource

    public FDBConnectionPoolDataSource()